%define target arm-gp2x-linux

Name:           %{target}-binutils
Version:        2.16.1
Release:        5%{?dist}
Summary:        Cross Compiling GNU binutils targeted at %{target}
Group:          Development/Tools
License:        GPLv2+
URL:            http://www.gnu.org/software/binutils/
Source0:        ftp://ftp.gnu.org/pub/gnu/binutils/binutils-%{version}.tar.bz2
Source1:        README.fedora
Patch0:         http://kegel.com/crosstool/crosstool-0.43/patches/binutils-2.16.1/binutils-2.15-psignal.patch
Patch1:         http://kegel.com/crosstool/crosstool-0.43/patches/binutils-2.16.1/binutils-skip-comments.patch
Patch2:         http://kegel.com/crosstool/crosstool-0.43/patches/binutils-2.16.1/cross-gprof.patch
Patch3:         binutils-2.16.1-fortify-source.patch
Patch4:         binutils-2.16.1-open.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-%(%{__id_u} -n)

%description
This is a Cross Compiling version of GNU binutils, which can be used to
assemble and link binaries for the %{target} platform, instead of for the
native %{_arch} platform.


%prep
%setup -q -c
pushd binutils-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
popd
cp %{SOURCE1} .


%build
mkdir -p build
pushd build
CFLAGS="$RPM_OPT_FLAGS" ../binutils-%{version}/configure --prefix=%{_prefix} \
  --libdir=%{_libdir} --mandir=%{_mandir} --infodir=%{_infodir} \
  --target=%{target} --disable-werror --disable-nls
make %{?_smp_mflags}
popd build


%install
rm -rf $RPM_BUILD_ROOT
pushd build
make install DESTDIR=$RPM_BUILD_ROOT
popd build
# these are for win targets only
rm $RPM_BUILD_ROOT%{_mandir}/man1/%{target}-{dlltool,nlmconv,windres}.1
# we don't want these as we are a cross version
rm -r $RPM_BUILD_ROOT%{_infodir}
rm    $RPM_BUILD_ROOT%{_libdir}/libiberty.a


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc binutils-%{version}/COPYING binutils-%{version}/COPYING.LIB
%doc binutils-%{version}/README README.fedora
%{_prefix}/%{target}
%{_bindir}/%{target}-*
%{_mandir}/man1/%{target}-*.1.gz


%changelog
* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 2.16.1-5
- Autorebuild for GCC 4.3

* Tue Aug 21 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 2.16.1-4
- Rebuild for buildId

* Sun Aug 12 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 2.16.1-3
- Update License tag for new Licensing Guidelines compliance
- Fix building with new glibc open() argument checking

* Mon Jun  4 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 2.16.1-2
- Add a patch from rtems fixing the issues when building with
  -DFORTIFY_SOURCE=2, thanks Ralf!

* Thu May 24 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 2.16.1-1
- Revert to GNU 2.16.1 release as that is what open2x uses and glibc-2.3.6
  doesn't compile with newer binutils
- Merge in all changes from avr-binutils
- Add various patches from the crosstool project (also used by open2x):
  http://open2x.svn.sourceforge.net/viewvc/open2x/trunk/toolchain-new/patches/binutils-2.16.1/

* Sun Apr  1 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 2.17.50.0.12-1
- Bump to 2.17.50.0.12, to sync with rawhide / Fedora 7
- "Dynamicly Generate" README.fedora so that macros can be used

* Thu Mar 29 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 2.17.50.0.9-1
- Bump to 2.17.50.0.9
- Use %%configure instead of ./configure
- Various fixups

* Wed Mar 28 2007 Koos Termeulen koostermeulen@gmail.com 2.17-1
- New version and some changes after unofficial review by Hans de Goede

* Wed Mar 21 2007 Koos Termeulen koostermeulen@gmail.com 2.16.1-1
- Initial release
